import {getTexture} from "./utils"
export class PlayerBullet extends engine.Image{
    speedY:number;
    bullet1Texture:engine.Texture;
    bullet2Texture:engine.Texture;
    constructor(){
        super();
        this.addEventListener(engine.Event.ADDED_TO_STAGE,this.addToViewPort,this)
    }

    addToViewPort(){
        this.speedY = -30;
        this.bullet1Texture = getTexture("f1777abc-521a-4dbb-993e-fcd4042893ac");
        this.texture = this.bullet1Texture;
    }

    updateSelf(){
        this.y += this.speedY;
    }

    removeToViewPort(){

    }
} 